#ifndef TIMEUPDATETHREAD_H
#define TIMEUPDATETHREAD_H


#include <QThread>
#include <QDateTime>
#include <QString>

class TimeUpdateThread : public QThread
{
    Q_OBJECT
public:
    explicit TimeUpdateThread(QObject *parent = nullptr);

signals:
    void timeUpdated(const QString &timeString);

protected:
    void run() override;
};


#endif // TIMEUPDATETHREAD_H
